<?php
// +----------------------------------------------------------------------+
// | papaan                                                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001,2002,2003 Bitflux GmbH                            |
// +----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or        |
// | modify it under the terms of the GNU General Public License (GPL)    |
// | as published by the Free Software Foundation; either version 2       |
// | of the License, or (at your option) any later version.               |
// | The GPL can be found at http://www.gnu.org/licenses/gpl.html         |
// +----------------------------------------------------------------------+
// | Author: Mike Hommey <mh@glandium.org>                                |
// +----------------------------------------------------------------------+
//
// $Id: request_parameter.php,v 1.2 2003/07/17 18:33:40 glandium Exp $

include_once(PAPAAN_BASE.'/components/matcher.php');

/**
* Matches a Request Parameter 
*
* @author   Mike Hommey <mh@glandium.org>
* @version  $Id: request_parameter.php,v 1.2 2003/07/17 18:33:40 glandium Exp $
* @package  papaan
*/
class matcher_request_parameter extends matcher
{

    function matcher_request_parameter (&$sitemap, $config) {

		parent::matcher($sitemap, $config);
    }

	function match($value)
    {
	if (isset($_POST[$value])) {
		$matches = array($_POST[$value],$_POST[$value]);
	} else if (isset($_GET[$value])) {
		$matches = array($_GET[$value],$_GET[$value]);
	} else {
		$matches = array();
	}
	$this->setMatcherHits($matches);
	if (isset($matches[0])) {
		return True;
	} else {
		return False;
	}
    }
}
